Subject: Re: [PATCH v4 07/14] builtin/config: introduce "list" subcommand

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 07 May 2024 08:20:56 +0200

On Mon, May 6, 2024, at 20:33, [email-masked] wrote:
> If you really want to get rid of stuff that has limited use instead of
> submodules, it is worktrees, the benefit of which is reduced given
> sparce checkouts and fetch depth.

Git-worktrees is very useful. One use-case is having a dedicated
worktree for an old version of the program/app that you need to work on
for whatever reason (using the same worktree for very different versions
can confuse build systems and IDEs). These things aren’t covered by
those other supposed alternatives (which I never use because I don’t
work on big repositories).

Maybe the idea is to use a fetch depth of 1 on N clones instead of N
worktrees. But then you still have clones laying around in an ad hoc
manner compared to having on overview of all the worktrees that you are
using from one repository.

-- 
Kristoffer Haugsbakk